%define __provides_exclude_from ^%{_qt5_archdatadir}/plugins/styles/libkvantum\\.so.*$
%define __requires_exclude      ^libkvantum\\.so.*$
%define aname Kvantum

Name:          kvantum
Version:       1.0.10
Release:       %mkrel 1
Summary:       Theme engine for Qt
License:       GPLv3
Group:         Graphical desktop/KDE
URL:           https://github.com/tsujan/Kvantum
Source0:       https://github.com/tsujan/Kvantum/archive/V%{version}/%{name}-%{version}.tar.gz

BuildRequires: cmake
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5X11Extras)
BuildRequires: pkgconfig(Qt5Svg)
BuildRequires: pkgconfig(Qt5Help)
BuildRequires: cmake(KF5WindowSystem)

%description
Kvantum is an SVG-based theme engine for Qt, tuned to KDE
and LXQt, with an emphasis on elegance, usability and
practicality.
Kvantum has a default dark theme, which is inspired by the
default theme of Enlightenment. Creation of realistic themes
like that for KDE was my first reason to make Kvantum but it
goes far beyond its default theme: you could make themes
with very different looks and feels for it, whether they be
photorealistic or cartoonish, 3D or flat, embellished or
minimalistic, or something in between, and Kvantum will let
you control almost every aspect of Qt widgets.

%prep
%autosetup -n %{aname}-%{version}/%{aname}

%build
%cmake_qt5
%cmake_build

%install
%cmake_install

%files
%{_bindir}/kvantummanager
%{_bindir}/kvantumpreview
%{_datadir}/Kvantum/Kv{*}/
%dir %{_datadir}/kvantummanager
%{_datadir}/kvantummanager/translations/
%dir %{_datadir}/kvantumpreview
%{_datadir}/kvantumpreview/translations/
%{_datadir}/color-schemes/Kv{*}.colors
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_datadir}/applications/kvantummanager.desktop
%{_qt5_plugindir}/styles/libkvantum.so


%changelog
* Fri Sep 01 2023 papoteur <papoteur> 1.0.10-1.mga10
+ Revision: 1983151
- new 1.0.10

* Fri Feb 17 2023 daviddavid <daviddavid> 1.0.9-2.mga9
+ Revision: 1943826
- use a named-versioned git tarball
- fix owner of kvantumpreview and kvantummanager data dir

* Fri Feb 17 2023 papoteur <papoteur> 1.0.9-1.mga9
+ Revision: 1943749
- imported package kvantum

